> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.littglobal.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.littglobal.com/_mcp/server.

# Add New LITT Card

POST TBD/api/v2/users/litt-card/new
Content-Type: application/json

Reference: https://docs.littglobal.com/litt-white-label/api-reference/digital-wallet/add-new-litt-card

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `api_token` (string, optional)

### Body (application/json)

This endpoint expects an object.

- `api` (string, optional)
- `data` (ApiV2UsersLittCardNewPostRequestBodyContentApplicationJsonSchemaData, optional)

## Types

### ApiV2UsersLittCardNewPostRequestBodyContentApplicationJsonSchemaData

- `kyc` (ApiV2UsersLittCardNewPostRequestBodyContentApplicationJsonSchemaDataKyc, optional)
- `card_application` (ApiV2UsersLittCardNewPostRequestBodyContentApplicationJsonSchemaDataCardApplication, optional)

### ApiV2UsersLittCardNewPostRequestBodyContentApplicationJsonSchemaDataKyc

- `addresses` (list of ApiV2UsersLittCardNewPostRequestBodyContentApplicationJsonSchemaDataKycAddressesItems, optional)
- `dateOfBirth` (ApiV2UsersLittCardNewPostRequestBodyContentApplicationJsonSchemaDataKycDateOfBirth, optional)
- `gender` (string, optional)
- `identityDocs` (list of ApiV2UsersLittCardNewPostRequestBodyContentApplicationJsonSchemaDataKycIdentityDocsItems, optional)
- `name` (ApiV2UsersLittCardNewPostRequestBodyContentApplicationJsonSchemaDataKycName, optional)

### ApiV2UsersLittCardNewPostRequestBodyContentApplicationJsonSchemaDataCardApplication

- `externalTransNo` (string, optional)
- `cardType` (string, optional)
- `customer` (ApiV2UsersLittCardNewPostRequestBodyContentApplicationJsonSchemaDataCardApplicationCustomer, optional)

### ApiV2UsersLittCardNewPostRequestBodyContentApplicationJsonSchemaDataKycAddressesItems

- `country` (string, optional)
- `postalCode` (string, optional)
- `state` (string, optional)
- `streetName` (string, optional)
- `streetNumber` (string, optional)
- `town` (string, optional)

### ApiV2UsersLittCardNewPostRequestBodyContentApplicationJsonSchemaDataKycDateOfBirth

- `dateOfBirth` (date, optional)

### ApiV2UsersLittCardNewPostRequestBodyContentApplicationJsonSchemaDataKycIdentityDocsItems

- `country` (string, optional)
- `idNumber` (string, optional)
- `idType` (string, optional)

### ApiV2UsersLittCardNewPostRequestBodyContentApplicationJsonSchemaDataKycName

- `givenName` (string, optional)
- `familyName` (string, optional)
- `middleName` (string, optional)
- `displayName` (string, optional)

### ApiV2UsersLittCardNewPostRequestBodyContentApplicationJsonSchemaDataCardApplicationCustomer

- `id` (integer, optional)
- `firstName` (string, optional)
- `middleNames` (string, optional)
- `lastName` (string, optional)
- `street` (string, optional)
- `city` (string, optional)
- `countryCode` (string, optional)
- `postCode` (string, optional)
- `mobileNumber` (integer, optional)
- `parentCardholder` (string, optional)
- `email` (string, optional)
- `currentAddress` (ApiV2UsersLittCardNewPostRequestBodyContentApplicationJsonSchemaDataCardApplicationCustomerCurrentAddress, optional)

### ApiV2UsersLittCardNewPostRequestBodyContentApplicationJsonSchemaDataCardApplicationCustomerCurrentAddress

- `country` (string, optional)
- `street` (string, optional)
- `postCode` (string, optional)
- `city` (string, optional)
- `months` (integer, optional)

## Examples

**Request**

```json
{
  "api": "newLittCard",
  "data": {
    "kyc": {
      "addresses": [
        {
          "country": "US",
          "postalCode": "90210",
          "state": "CA",
          "streetName": "Deanmore Bend",
          "streetNumber": "8",
          "town": "Hammond Park"
        }
      ],
      "dateOfBirth": {
        "dateOfBirth": "2000-11-16"
      },
      "gender": "M",
      "identityDocs": [
        {
          "country": "AU",
          "idNumber": "222222223",
          "idType": "DRIVERS_LICENCE"
        }
      ],
      "name": {
        "givenName": "steeven",
        "familyName": "approve",
        "middleName": "",
        "displayName": "steeven approve"
      }
    },
    "card_application": {
      "externalTransNo": "c8c38e0b-61bf-4832-af11-9c418165cf",
      "cardType": "LITTAPP_VIRTUAL_CARD",
      "customer": {
        "id": 1668581546351,
        "firstName": "steven",
        "middleNames": "",
        "lastName": "approve",
        "street": "8 Deanmore Bend",
        "city": "Hammond Park",
        "countryCode": "US",
        "postCode": "90210",
        "mobileNumber": 14154123333,
        "parentCardholder": "mars1",
        "email": "user@example.com",
        "currentAddress": {
          "country": "US",
          "street": "Deanmore Bend",
          "postCode": "90210",
          "city": "Hammond Park",
          "months": 24
        }
      }
    }
  }
}
```

**SDK Code**

```python Digital Wallet_addNewLittCard_example
import requests

url = "https://tbd/api/v2/users/litt-card/new"

querystring = {"api_token":"{{token}}"}

payload = {
    "api": "newLittCard",
    "data": {
        "kyc": {
            "addresses": [
                {
                    "country": "US",
                    "postalCode": "90210",
                    "state": "CA",
                    "streetName": "Deanmore Bend",
                    "streetNumber": "8",
                    "town": "Hammond Park"
                }
            ],
            "dateOfBirth": { "dateOfBirth": "2000-11-16" },
            "gender": "M",
            "identityDocs": [
                {
                    "country": "AU",
                    "idNumber": "222222223",
                    "idType": "DRIVERS_LICENCE"
                }
            ],
            "name": {
                "givenName": "steeven",
                "familyName": "approve",
                "middleName": "",
                "displayName": "steeven approve"
            }
        },
        "card_application": {
            "externalTransNo": "c8c38e0b-61bf-4832-af11-9c418165cf",
            "cardType": "LITTAPP_VIRTUAL_CARD",
            "customer": {
                "id": 1668581546351,
                "firstName": "steven",
                "middleNames": "",
                "lastName": "approve",
                "street": "8 Deanmore Bend",
                "city": "Hammond Park",
                "countryCode": "US",
                "postCode": "90210",
                "mobileNumber": 14154123333,
                "parentCardholder": "mars1",
                "email": "user@example.com",
                "currentAddress": {
                    "country": "US",
                    "street": "Deanmore Bend",
                    "postCode": "90210",
                    "city": "Hammond Park",
                    "months": 24
                }
            }
        }
    }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript Digital Wallet_addNewLittCard_example
const url = 'https://tbd/api/v2/users/litt-card/new?api_token=%7B%7Btoken%7D%7D';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"api":"newLittCard","data":{"kyc":{"addresses":[{"country":"US","postalCode":"90210","state":"CA","streetName":"Deanmore Bend","streetNumber":"8","town":"Hammond Park"}],"dateOfBirth":{"dateOfBirth":"2000-11-16"},"gender":"M","identityDocs":[{"country":"AU","idNumber":"222222223","idType":"DRIVERS_LICENCE"}],"name":{"givenName":"steeven","familyName":"approve","middleName":"","displayName":"steeven approve"}},"card_application":{"externalTransNo":"c8c38e0b-61bf-4832-af11-9c418165cf","cardType":"LITTAPP_VIRTUAL_CARD","customer":{"id":1668581546351,"firstName":"steven","middleNames":"","lastName":"approve","street":"8 Deanmore Bend","city":"Hammond Park","countryCode":"US","postCode":"90210","mobileNumber":14154123333,"parentCardholder":"mars1","email":"user@example.com","currentAddress":{"country":"US","street":"Deanmore Bend","postCode":"90210","city":"Hammond Park","months":24}}}}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Digital Wallet_addNewLittCard_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tbd/api/v2/users/litt-card/new?api_token=%7B%7Btoken%7D%7D"

	payload := strings.NewReader("{\n  \"api\": \"newLittCard\",\n  \"data\": {\n    \"kyc\": {\n      \"addresses\": [\n        {\n          \"country\": \"US\",\n          \"postalCode\": \"90210\",\n          \"state\": \"CA\",\n          \"streetName\": \"Deanmore Bend\",\n          \"streetNumber\": \"8\",\n          \"town\": \"Hammond Park\"\n        }\n      ],\n      \"dateOfBirth\": {\n        \"dateOfBirth\": \"2000-11-16\"\n      },\n      \"gender\": \"M\",\n      \"identityDocs\": [\n        {\n          \"country\": \"AU\",\n          \"idNumber\": \"222222223\",\n          \"idType\": \"DRIVERS_LICENCE\"\n        }\n      ],\n      \"name\": {\n        \"givenName\": \"steeven\",\n        \"familyName\": \"approve\",\n        \"middleName\": \"\",\n        \"displayName\": \"steeven approve\"\n      }\n    },\n    \"card_application\": {\n      \"externalTransNo\": \"c8c38e0b-61bf-4832-af11-9c418165cf\",\n      \"cardType\": \"LITTAPP_VIRTUAL_CARD\",\n      \"customer\": {\n        \"id\": 1668581546351,\n        \"firstName\": \"steven\",\n        \"middleNames\": \"\",\n        \"lastName\": \"approve\",\n        \"street\": \"8 Deanmore Bend\",\n        \"city\": \"Hammond Park\",\n        \"countryCode\": \"US\",\n        \"postCode\": \"90210\",\n        \"mobileNumber\": 14154123333,\n        \"parentCardholder\": \"mars1\",\n        \"email\": \"user@example.com\",\n        \"currentAddress\": {\n          \"country\": \"US\",\n          \"street\": \"Deanmore Bend\",\n          \"postCode\": \"90210\",\n          \"city\": \"Hammond Park\",\n          \"months\": 24\n        }\n      }\n    }\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Digital Wallet_addNewLittCard_example
require 'uri'
require 'net/http'

url = URI("https://tbd/api/v2/users/litt-card/new?api_token=%7B%7Btoken%7D%7D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"api\": \"newLittCard\",\n  \"data\": {\n    \"kyc\": {\n      \"addresses\": [\n        {\n          \"country\": \"US\",\n          \"postalCode\": \"90210\",\n          \"state\": \"CA\",\n          \"streetName\": \"Deanmore Bend\",\n          \"streetNumber\": \"8\",\n          \"town\": \"Hammond Park\"\n        }\n      ],\n      \"dateOfBirth\": {\n        \"dateOfBirth\": \"2000-11-16\"\n      },\n      \"gender\": \"M\",\n      \"identityDocs\": [\n        {\n          \"country\": \"AU\",\n          \"idNumber\": \"222222223\",\n          \"idType\": \"DRIVERS_LICENCE\"\n        }\n      ],\n      \"name\": {\n        \"givenName\": \"steeven\",\n        \"familyName\": \"approve\",\n        \"middleName\": \"\",\n        \"displayName\": \"steeven approve\"\n      }\n    },\n    \"card_application\": {\n      \"externalTransNo\": \"c8c38e0b-61bf-4832-af11-9c418165cf\",\n      \"cardType\": \"LITTAPP_VIRTUAL_CARD\",\n      \"customer\": {\n        \"id\": 1668581546351,\n        \"firstName\": \"steven\",\n        \"middleNames\": \"\",\n        \"lastName\": \"approve\",\n        \"street\": \"8 Deanmore Bend\",\n        \"city\": \"Hammond Park\",\n        \"countryCode\": \"US\",\n        \"postCode\": \"90210\",\n        \"mobileNumber\": 14154123333,\n        \"parentCardholder\": \"mars1\",\n        \"email\": \"user@example.com\",\n        \"currentAddress\": {\n          \"country\": \"US\",\n          \"street\": \"Deanmore Bend\",\n          \"postCode\": \"90210\",\n          \"city\": \"Hammond Park\",\n          \"months\": 24\n        }\n      }\n    }\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java Digital Wallet_addNewLittCard_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tbd/api/v2/users/litt-card/new?api_token=%7B%7Btoken%7D%7D")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"api\": \"newLittCard\",\n  \"data\": {\n    \"kyc\": {\n      \"addresses\": [\n        {\n          \"country\": \"US\",\n          \"postalCode\": \"90210\",\n          \"state\": \"CA\",\n          \"streetName\": \"Deanmore Bend\",\n          \"streetNumber\": \"8\",\n          \"town\": \"Hammond Park\"\n        }\n      ],\n      \"dateOfBirth\": {\n        \"dateOfBirth\": \"2000-11-16\"\n      },\n      \"gender\": \"M\",\n      \"identityDocs\": [\n        {\n          \"country\": \"AU\",\n          \"idNumber\": \"222222223\",\n          \"idType\": \"DRIVERS_LICENCE\"\n        }\n      ],\n      \"name\": {\n        \"givenName\": \"steeven\",\n        \"familyName\": \"approve\",\n        \"middleName\": \"\",\n        \"displayName\": \"steeven approve\"\n      }\n    },\n    \"card_application\": {\n      \"externalTransNo\": \"c8c38e0b-61bf-4832-af11-9c418165cf\",\n      \"cardType\": \"LITTAPP_VIRTUAL_CARD\",\n      \"customer\": {\n        \"id\": 1668581546351,\n        \"firstName\": \"steven\",\n        \"middleNames\": \"\",\n        \"lastName\": \"approve\",\n        \"street\": \"8 Deanmore Bend\",\n        \"city\": \"Hammond Park\",\n        \"countryCode\": \"US\",\n        \"postCode\": \"90210\",\n        \"mobileNumber\": 14154123333,\n        \"parentCardholder\": \"mars1\",\n        \"email\": \"user@example.com\",\n        \"currentAddress\": {\n          \"country\": \"US\",\n          \"street\": \"Deanmore Bend\",\n          \"postCode\": \"90210\",\n          \"city\": \"Hammond Park\",\n          \"months\": 24\n        }\n      }\n    }\n  }\n}")
  .asString();
```

```php Digital Wallet_addNewLittCard_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tbd/api/v2/users/litt-card/new?api_token=%7B%7Btoken%7D%7D', [
  'body' => '{
  "api": "newLittCard",
  "data": {
    "kyc": {
      "addresses": [
        {
          "country": "US",
          "postalCode": "90210",
          "state": "CA",
          "streetName": "Deanmore Bend",
          "streetNumber": "8",
          "town": "Hammond Park"
        }
      ],
      "dateOfBirth": {
        "dateOfBirth": "2000-11-16"
      },
      "gender": "M",
      "identityDocs": [
        {
          "country": "AU",
          "idNumber": "222222223",
          "idType": "DRIVERS_LICENCE"
        }
      ],
      "name": {
        "givenName": "steeven",
        "familyName": "approve",
        "middleName": "",
        "displayName": "steeven approve"
      }
    },
    "card_application": {
      "externalTransNo": "c8c38e0b-61bf-4832-af11-9c418165cf",
      "cardType": "LITTAPP_VIRTUAL_CARD",
      "customer": {
        "id": 1668581546351,
        "firstName": "steven",
        "middleNames": "",
        "lastName": "approve",
        "street": "8 Deanmore Bend",
        "city": "Hammond Park",
        "countryCode": "US",
        "postCode": "90210",
        "mobileNumber": 14154123333,
        "parentCardholder": "mars1",
        "email": "user@example.com",
        "currentAddress": {
          "country": "US",
          "street": "Deanmore Bend",
          "postCode": "90210",
          "city": "Hammond Park",
          "months": 24
        }
      }
    }
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Digital Wallet_addNewLittCard_example
using RestSharp;

var client = new RestClient("https://tbd/api/v2/users/litt-card/new?api_token=%7B%7Btoken%7D%7D");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"api\": \"newLittCard\",\n  \"data\": {\n    \"kyc\": {\n      \"addresses\": [\n        {\n          \"country\": \"US\",\n          \"postalCode\": \"90210\",\n          \"state\": \"CA\",\n          \"streetName\": \"Deanmore Bend\",\n          \"streetNumber\": \"8\",\n          \"town\": \"Hammond Park\"\n        }\n      ],\n      \"dateOfBirth\": {\n        \"dateOfBirth\": \"2000-11-16\"\n      },\n      \"gender\": \"M\",\n      \"identityDocs\": [\n        {\n          \"country\": \"AU\",\n          \"idNumber\": \"222222223\",\n          \"idType\": \"DRIVERS_LICENCE\"\n        }\n      ],\n      \"name\": {\n        \"givenName\": \"steeven\",\n        \"familyName\": \"approve\",\n        \"middleName\": \"\",\n        \"displayName\": \"steeven approve\"\n      }\n    },\n    \"card_application\": {\n      \"externalTransNo\": \"c8c38e0b-61bf-4832-af11-9c418165cf\",\n      \"cardType\": \"LITTAPP_VIRTUAL_CARD\",\n      \"customer\": {\n        \"id\": 1668581546351,\n        \"firstName\": \"steven\",\n        \"middleNames\": \"\",\n        \"lastName\": \"approve\",\n        \"street\": \"8 Deanmore Bend\",\n        \"city\": \"Hammond Park\",\n        \"countryCode\": \"US\",\n        \"postCode\": \"90210\",\n        \"mobileNumber\": 14154123333,\n        \"parentCardholder\": \"mars1\",\n        \"email\": \"user@example.com\",\n        \"currentAddress\": {\n          \"country\": \"US\",\n          \"street\": \"Deanmore Bend\",\n          \"postCode\": \"90210\",\n          \"city\": \"Hammond Park\",\n          \"months\": 24\n        }\n      }\n    }\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Digital Wallet_addNewLittCard_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "api": "newLittCard",
  "data": [
    "kyc": [
      "addresses": [
        [
          "country": "US",
          "postalCode": "90210",
          "state": "CA",
          "streetName": "Deanmore Bend",
          "streetNumber": "8",
          "town": "Hammond Park"
        ]
      ],
      "dateOfBirth": ["dateOfBirth": "2000-11-16"],
      "gender": "M",
      "identityDocs": [
        [
          "country": "AU",
          "idNumber": "222222223",
          "idType": "DRIVERS_LICENCE"
        ]
      ],
      "name": [
        "givenName": "steeven",
        "familyName": "approve",
        "middleName": "",
        "displayName": "steeven approve"
      ]
    ],
    "card_application": [
      "externalTransNo": "c8c38e0b-61bf-4832-af11-9c418165cf",
      "cardType": "LITTAPP_VIRTUAL_CARD",
      "customer": [
        "id": 1668581546351,
        "firstName": "steven",
        "middleNames": "",
        "lastName": "approve",
        "street": "8 Deanmore Bend",
        "city": "Hammond Park",
        "countryCode": "US",
        "postCode": "90210",
        "mobileNumber": 14154123333,
        "parentCardholder": "mars1",
        "email": "user@example.com",
        "currentAddress": [
          "country": "US",
          "street": "Deanmore Bend",
          "postCode": "90210",
          "city": "Hammond Park",
          "months": 24
        ]
      ]
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tbd/api/v2/users/litt-card/new?api_token=%7B%7Btoken%7D%7D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```